{% extends 'base.html' %}

{% block head %}
	<script
		src="{{ url_for('static', filename='js/index.js') }}"
		type="text/javascript"
	></script>
	<script
		src="{{ url_for('static', filename='js/js.cookie.min.js') }}"
		type="text/javascript"
	></script>
	
	<link
		rel="stylesheet"
		type="text/css"
		href="{{ url_for('static', filename='css/index.css') }}"
	>
	<link
		rel="stylesheet"
		type="text/css"
		href="{{ url_for('static', filename='fonts/open-sans/style.css') }}"
	>
	<link
		rel="stylesheet"
		type="text/css"
		href="{{ url_for('static', filename='fonts/bebas-neue/style.css') }}"
	>
	
	<link
		rel="preload"
		href="{{ url_for('static', filename='images/pos-selected.svg') }}"
		as="image"
	>
	<link
		rel="preload"
		href="{{ url_for('static', filename='images/pos-important-selected.svg') }}"
		as="image"
	>
	<link
		rel="preload"
		href="{{ url_for('static', filename='images/neg-selected.svg') }}"
		as="image"
	>
	<link
		rel="preload"
		href="{{ url_for('static', filename='images/neg-important-selected.svg') }}"
		as="image"
	>
	
	<meta
		property="og:url"
		content="https://skymseshodnes.cz"
	>
	<meta
		property="og:image"
		content="https://skymseshodnes.cz/static/images/thumbnail.png"
	>
{% endblock %}

{% block current_page %}Kdo letos vyhraje?{% endblock %}

{% block description %}Ostatní strany je nenávidí! :( Po tomto testu začali volit Piráty už úplně všichni.{% endblock %}

{% block content %}
	<header>
		<img
			id="header-logo"
			src="{{ url_for('static', filename='images/logo.png') }}"
			width="200"
			alt="Pirátské logo"
		>
		
		<div id="gender-selector-wrapper">
			<button
				class="gender-selector{% if gender == "female" %} gender-selector-selected{% endif %}"
				data-gender="female"
				id="gender-selector-female"
			></button>
			<button
				class="gender-selector{% if gender == "neutral" %} gender-selector-selected{% endif %}"
				data-gender="neutral"
				id="gender-selector-neutral"
			></button>
			<button
				class="gender-selector{% if gender == "male" %} gender-selector-selected{% endif %}"
				data-gender="male"
				id="gender-selector-male"
			></button>
		</div>
		
		<div id="heading-container">
			<div id="heading-main-window">
				<h1 id="heading">
					Zjistíme, jestli jsou<br>
					Piráti pro tebe, nebo ne!
				</h1>
				
				<p id="description">
					Někdo říká, že Piráti mají divné názory. Tak schválně. Zkuste si jednoduchý test, a ten zjistí,<br>
					jestli někdo z Pirátů reprezentuje vaše zájmy a to, co ve společnosti chcete.
				</p>
			</div>
			
			<div id="jump-to-test-wrapper">
				<a
					href="#test"
					id="jump-to-test"
				>
					Začít test&nbsp;&nbsp;→
					<small id="jump-to-test-desc">
						Nezabere to víc, než pár minut.
					</small>
				</a>
			</div>
		</div>
	</header>
	
	<main>
		<div id="progress"></div>
		
		<div class="content-container">
			<noscript>
				<p>
					Bohužel, verzi pro uživatele bez JavaScriptu jsem zatím nestihl udělat.<br>
					Naprosto respektuju tvoji volbu ho nepoužívat, a souhlasím s ní, ale...
					no, asi ti můžu rovnou říct, že - minimálně mezinárodní - Pirát jsi. :)
				</p>
			</noscript>
			
			<div id="anti-pirate-question-notice-wrapper" style="display:none">
				<div id="anti-pirate-question-notice">
					
					Gratulujeme,
					
					{% if gender == "male" %}
						objevil
					{% elif gender == "female" %}
						objevila
					{% else %}
						objevil(a)
					{% endif %}
					
					jsi intenzivně protipirátskou otázku a
					
					{% if gender == "male" %}
						odpovědel
					{% elif gender == "female" %}
						odpovědela
					{% else %}
						odpovědel(a)
					{% endif %}
					
					jsi negativně!<br>
					Ještě jich pár je, schválně, jestli je objevíš...
				</div>
			</div>
			
			<section id="test">
				
				<div id="archetype-form">
					<script>
						var formInput = {};
						const formInputMaxLength = {{ questions|length }};
					</script>
					
					{% set ns = namespace(bubble_text="") %}
					
					<!-- éííííííísyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyč -->
					<!-- A cat wrote this. I feel compelled to leave it in, in some way. -->
					
					{% for question_slug, question in questions.items() %}
						<div class="archetype-input-wrapper" id="question-{{ loop.index }}">
							<h2 class="archetype-input-header">{{ question["content"]|safe }}</h2>
							
							{% set next_question_id = loop.index + 1 %}
							
							{% if question["is_pirate"] %}
								{% set is_pirate = 1 %}
							{% else %}
								{% set is_pirate = 0 %}
							{% endif %}
							
							<div class="archetype-input-buttons">
								<button
									class="archetype-input-button archetype-input-button-pos-important"
									id="{{ question_slug }}-pos-important"
									title="Silně souhlasím"
									data-next-question-id="question-{{ next_question_id }}"
									data-question-is-pirate="{{ is_pirate }}"
								>
									{% if loop.first %}
										<div class="archetype-input-button-tooltip">
											<b>EXTRÉMNĚ SILNĚ</b> Souhlasím
										</div>
									{% endif %}
								</button>
								
								<button
									class="archetype-input-button archetype-input-button-pos"
									id="{{ question_slug }}-pos"
									title="Souhlasím"
									data-next-question-id="question-{{ next_question_id }}"
									data-question-is-pirate="{{ is_pirate }}"
								>
									{% if loop.first %}
										<div class="archetype-input-button-tooltip">
											Souhlasím
										</div>
									{% endif %}
								</button>
								
								<button
									class="archetype-input-button archetype-input-button-neg"
									id="{{ question_slug }}-neg"
									title="Nesouhlasím"
									data-next-question-id="question-{{ next_question_id }}"
									data-question-is-pirate="{{ is_pirate }}"
								>
									{% if loop.first %}
										<div class="archetype-input-button-tooltip">
											Nesouhlasím
										</div>
									{% endif %}
								</button>
								
								<button
									class="archetype-input-button archetype-input-button-neg-important"
									id="{{ question_slug }}-neg-important"
									title="Silně nesouhlasím"
									data-next-question-id="question-{{ next_question_id }}"
									data-question-is-pirate="{{ is_pirate }}"
								>
									{% if loop.first %}
										<div class="archetype-input-button-tooltip">
											<b>EXTRÉMNĚ SILNĚ</b> Nesouhlasím<br>
										</div>
									{% endif %}
								</button>
							</div>
							
							<div class="secondary-question-controls{% if loop.first %} secondary-question-controls-first{% endif %}">
								<button
									id="{{ question_slug }}-skip"
									class="skip-question"
									data-next-question-id="question-{{ loop.index + 1 }}"
									data-question-is-pirate="{{ is_pirate }}"
									title="Přeskočit"
								>
									{% if loop.first %}
										<div class="archetype-input-button-tooltip">
											Přeskočit
										</div>
									{% endif %}
								</button>
								
								{% if loop.index != 1 %}
									<button
										class="go-back-question"
										data-previous-question-id="question-{{ loop.index - 1 }}"
										title="Zpět na předchozí otázku"
									></button>
								{% endif %}
							</div>
							
							{% if ns.bubble_text != "" %}
								<div class="archetype-bubble">
									{{ ns.bubble_text|safe }}
								</div>
								{% set ns.bubble_text = "" %}
							{% endif %}
							
							{% set ns.bubble_text = question.get("bubble_text", "") %}
							
							<script type="text/javascript">
								$(
									`#{{ question_slug }}-pos-important,
									#{{ question_slug }}-pos,
									#{{ question_slug }}-neg,
									#{{ question_slug }}-neg-important`
								).on(
									"click",
									function(event) {
										formInput["{{ question_slug }}"] = event.currentTarget.id.split("{{ question_slug }}-")[1];
										
										$(
											`#{{ question_slug }}-pos-important,
											#{{ question_slug }}-pos,
											#{{ question_slug }}-neg,
											#{{ question_slug }}-neg-important`
										).removeClass("archetype-input-button-selected");
										
										$(event.currentTarget).addClass("archetype-input-button-selected");
										
										
										if (
											!alreadyShownAntiPirateNotice &&
											event.currentTarget.dataset.questionIsPirate == "0" && (
												event.currentTarget.id.endsWith("neg") ||
												event.currentTarget.id.endsWith("neg-important")
											)
										) {
											$("#anti-pirate-question-notice-wrapper").css("display", "flex");
											alreadyShownAntiPirateNotice = true;
											
											// Disappear after 10 seconds
											setTimeout(
												function() { $("#anti-pirate-question-notice-wrapper").css("display", "none") },
												10000
											);
										}
										
										
										// https://stackoverflow.com/a/6674806
										// Thanks to mu is too short!
										if (event.hasOwnProperty("originalEvent")) {
											{% if not loop.last %}
												document.getElementById(event.currentTarget.dataset.nextQuestionId).scrollIntoView();
											{% else %}
												document.getElementById("test-end").scrollIntoView();
												
												const archetypeScrollInterval = window.setInterval(
													function() {
														if (!$("#archetype-list-move-right").prop("disabled")) $("#archetype-list-move-right").click();
													},
													4000
												);
											{% endif %}
										}
									}
								);
								
								$("#{{ question_slug }}-skip").on(
									"click",
									function(event) {
										formInput["{{ question_slug }}"] = "skipped"
										
										$(
											`#{{ question_slug }}-pos-important,
											#{{ question_slug }}-pos,
											#{{ question_slug }}-neg,
											#{{ question_slug }}-neg-important`
										).removeClass("archetype-input-button-selected");
										
										$(event.currentTarget).addClass("skip-question-selected");
										
										// https://stackoverflow.com/a/6674806
										// Thanks to mu is too short!
										if (event.hasOwnProperty("originalEvent")) {
											{% if not loop.last %}
												document.getElementById(event.currentTarget.dataset.nextQuestionId).scrollIntoView();
											{% else %}
												document.getElementById("test-end").scrollIntoView();
												
												const archetypeScrollInterval = window.setInterval(
													function() {
														if (!$("#archetype-list-move-right").prop("disabled")) $("#archetype-list-move-right").click();
													},
													4000
												);
											{% endif %}
										}
									}
								);
							</script>
						</div>
					{% endfor %}
					
					<div class="archetype-input-wrapper" id="test-end">
						<button
							id="archetype-form-submit"
						>Zjistit výsledek!</button>
						
						<section>
							<h2 id="possible-results">Možné výsledky</h2>
							
							<div id="archetype-list-wrapper">
								<button
									class="archetype-list-move-button"
									id="archetype-list-move-left"
									disabled
								></button>
								
								<div id="archetype-list">
									{% for archetype_slug, archetype in config["ARCHETYPES"].items() %}
										<div class="archetype">
											<img
												class="archetype-image"
												width="200"
												height="200"
												src="static/images/types/{{ archetype_slug }}.svg"
												alt="Ikona {{ archetype["names"][gender] }}"
											>
											<p class="archetype-name">{{ archetype["names"][gender] }}</p>
										</div>
									{% endfor %}
								</div>
								
								<button
									class="archetype-list-move-button"
									id="archetype-list-move-right"
								></button>
							</div>
						</section>
						
						<div id="data-collection-info">
							<p>
								K průzkumu ukládáme informace o tom, pro jaké otázky se jak hlasuje.<br>
								Osobní informace, včetně IP adres a všech dalších identifikátorů, ne.
							</p>
						</div>
					</div>
					
				</form>
			</section>
			
		</div>
	</main>
{% endblock %}
